Vultron Retriever Core 4.5B vultron-retriever-core-qwen3.5-4.5b
Vultr's reranker balancing accuracy and throughput for retrieval and RAG, with a 262K-token context. Input longer than the context length is rejected with a 400 (context_length_exceeded).
Tokens
$0.10 / 1M tokens
Context
256K tokens
Inputs
| Input | Accepts |
|---|---|
text | context 256K tokens |
Parameters
| Parameter | Type | Values | Default |
|---|---|---|---|
top_n | integer | 1–100 | |
return_documents | boolean |
Endpoints
A request
curl https://api.vultrinference.com/v1/rerank \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "vultron-retriever-core-qwen3.5-4.5b",
"query": "What is the capital of France?",
"documents": [
"Berlin is the capital of Germany.",
"Paris is the capital of France."
],
"top_n": 1
}'import os
import requests
response = requests.post(
"https://api.vultrinference.com/v1/rerank",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
json={
"model": "vultron-retriever-core-qwen3.5-4.5b",
"query": "What is the capital of France?",
"documents": [
"Berlin is the capital of Germany.",
"Paris is the capital of France.",
],
"top_n": 1,
},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/rerank", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"model": "vultron-retriever-core-qwen3.5-4.5b",
"query": "What is the capital of France?",
"documents": [
"Berlin is the capital of Germany.",
"Paris is the capital of France."
],
"top_n": 1
}),
});
console.log(await response.json());